Skip to main content
POST
/
v1
/
search
/search
curl --request POST \
  --url https://api.linkup.so/v1/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data @- <<EOF
{
  "q": "What is Microsoft's 2024 revenue?",
  "depth": "deep",
  "outputType": "searchResults",
  "structuredOutputSchema": null,
  "includeSources": false,
  "includeImages": false,
  "fromDate": "2025-01-01",
  "toDate": "2025-01-01",
  "includeDomains": [
    "microsoft.com",
    "agolution.com"
  ],
  "excludeDomains": [
    "wikipedia.com"
  ],
  "includeInlineCitations": false,
  "maxResults": null
}
EOF
{
  "results": [
    {
      "type": "text",
      "name": "Microsoft 2024 Annual Report",
      "url": "https://www.microsoft.com/investor/reports/ar24/index.html",
      "content": "Highlights from fiscal year 2024 compared with fiscal year 2023 included: Microsoft Cloud revenue increased 23% to $137.4 billion.",
      "favicon": "https://www.microsoft.com/favicon.ico"
    }
  ]
}

Get your API key

Create a Linkup account for free to get your API key.
The /search endpoint is a context retrieval tool for Web content. For a natural language query, it finds online information to ground your LLM’s answer, along with sources.
Our search is optimized for precision. Make sure to craft detailed prompts for optimal results. Learn more here.
Depending on the depth parameter, results may be near-instant with no LLM processing (fast), fast while leveraging agentic search (standard), or slower but more comprehensive (deep). If outputType is set to structured, you may provide a JSON structuredOutputSchema to dictate the response format.
JSON formats are tricky. Learn more about structured output in our guide.
Learn more about these parameters in Concepts.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
q
string
required

The natural language question for which you want to retrieve context.

Example:

"What is Microsoft's 2024 revenue?"

depth
enum<string>
required

Defines the precision of the search. [BETA] fast is a sub-second search mode optimized for simple, focused queries; standard leverages agentic search to handle broader queries spanning multiple topics or sources, while remaining fast; deep leverages several iterations of agentic search to return comprehensive results, optimizing for coverage.

Available options:
deep,
fast,
standard
outputType
enum<string>
required

The type of output you want to get. Use structured for a custom-formatted response defined by structuredOutputSchema.

Available options:
searchResults,
sourcedAnswer,
structured
structuredOutputSchema
string<json>

Required only when outputType is structured. Provide a JSON schema (as a string) representing the desired response format. The root must be of type object.

includeSources
boolean
default:false

Relevant only when outputType is structured. Defines whether the response should include sources. Please note that it modifies the schema of the response, see below

includeImages
boolean
default:false

Defines whether the API should include images in its results.

fromDate
string

The date from which the search results should be considered, in ISO 8601 format (YYYY-MM-DD). It must be before toDate, if provided, and later than 1970-01-01.

Example:

"2025-01-01"

toDate
string

The date until which the search results should be considered, in ISO 8601 format (YYYY-MM-DD). It must be later than fromDate, if provided, or than 1970-01-01.

Example:

"2025-01-01"

includeDomains
string[]

The domains you want to search on. By default, don't restrict the search. You can provide up to 100 domains.

Example:
["microsoft.com", "agolution.com"]
excludeDomains
string[]

The domains you want to exclude of the search. By default, don't restrict the search.

Example:
["wikipedia.com"]
includeInlineCitations
boolean
default:false

Relevant only when outputType is sourcedAnswer. Defines whether the answer should include inline citations.

maxResults
number

The maximum number of results to return. The number of results will always be ≤ to maxResults.

Response

Successful response

results
object[]
required

List of search results.